name: "CI-PUSH"

on: [push]
jobs:
  pre-commit:
    uses: ./.github/workflows/pre-commit.yml
    secrets: inherit
    with:
      gh_event: ${{ github.event_name }}
  phan:
    uses: ./.github/workflows/phan.yml
    secrets: inherit
    needs: [pre-commit]
    with:
      gh_event: ${{ github.event_name }}
  phpstan:
    uses: ./.github/workflows/phpstan.yml
    secrets: inherit
    needs: [pre-commit]
    with:
      gh_event: ${{ github.event_name }}
  windows-ci:
    needs: [pre-commit, phan, phpstan]
    secrets: inherit
    uses: ./.github/workflows/windows-ci.yml
    with:
      gh_event: ${{ github.event_name }}
  # gh-travis:  # Runs travis script on github runner (not on travis)
  #   if: false
  #   # needs: [pre-commit, phan]
  #   # needs: [windows-ci]
  #   secrets: inherit
  #   needs: [pre-commit, phan, phpstan]
  #   uses: ./.github/workflows/gh-travis.yml
  #   with:
  #     gh_event: ${{ github.event_name }}

# Note (not tested, from https://github.com/orgs/community/discussions/38361)
# To cancel jobs if one fails, the following action may help
#       - if: "failure()"
#        uses: "andymckay/cancel-action@0.3"
